<?php
/*
 * Plugin Name:       The Events Calendar: Snippet - Set Default Country
 * Description:       Override the default country selected when adding events
 * Version:           0.1.0
 * Author:            Brook Harding
 * Author URI:        http://theeventscalendar.com
 * License:           GPL-2.0+
 * License URI:       http://www.gnu.org/licenses/gpl-2.0.txt
 */


if ( class_exists('Tribe__Events__Default_Values') ) {

	class Tribe__Events__Default_Values_Override extends Tribe__Events__Default_Values {
		public function country() {
			// Modify this to change the country, be sure to include the WP country code and fullname
			return array('GB', 'United Kingdom');
		}
	}

	function tribe_set_default_country( $value ) {
		return new Tribe__Events__Default_Values_Override;
	}

	add_filter( 'tribe_events_default_value_strategy', 'tribe_set_default_country', 100, 1 );

}
